<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:
/**
 * Objeto asociado a una tabla de la base de datos.
 * Parcialmente generado por DB_DataObject.
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2004 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: Parametros_reporte_consolidado.php,v 1.17 2009/05/02 03:15:45 vtamara Exp $
 * @link      http://sivel.sf.net
 */

/**
 * Definicion para la tabla parametros_reporte_consolidado.
 */
require_once 'DB/DataObject.php';

/**
 * Definicion para la tabla parametros_reporte_consolidado.
 * Ver documentación de DataObjects_Caso.
 *
 * @category SIVeL
 * @package  SIVeL
 * @author   Vladimir Támara <vtamara@pasosdeJesus.org>
 * @license  http://creativecommons.org/licenses/publicdomain/ Dominio Público.
 * @link     http://sivel.sf.net/tec
 * @see      DataObjects_Caso
 */
class DataObjects_Parametros_reporte_consolidado extends DB_DataObject 
{
    // START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'parametros_reporte_consolidado';    // table name
    var $no_columna;                     // int4(4)  not_null primary_key
    var $rotulo;                          // varchar(-1)  not_null
    var $tipo_violencia;                  // varchar(-1)  not_null
    var $clasificacion;                   // varchar(-1)  not_null

    /**
     * ZE2 compatibility trick
     *
     * @return copia del objeto
     */
    function __clone() 
    {
        return $this;
    }

    /**
     * Static get
     *
     * @param mixed $k Llave
     * @param mixed $v Valor
     *
     * @return Registro cuya llave sea el valor.
     */
    function staticGet($k, $v = null) 
    {
        return DB_DataObject::
            staticGet('DataObjects_Parametros_reporte_consolidado', $k, $v);
    }

    /* the code above is auto generated do not remove the tag below */
    // END_AUTOCODE

    var $fb_linkDisplayFields = array('no_columna', 'rotulo');
    var $fb_hidePrimaryKey = true;

    var $nom_tabla = 'Columnas Reporte Consolidado';

    /**
     * Ajusta formulario generado.
     *
     * @param object &$form      Formulario HTML_QuickForm
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function postGenerateForm(&$form, &$formbuild)
    {
        $h =& $form->getElement('__header__');
        if (PEAR::isError($h)) {
            $h =& $form->getElement(null);
        }

        $h->setValue($this->nom_tabla);
    }

}
?>
